### Struct

# EDataCal CalCacheOfflineChange

since: 3.26

#### Description [src]

    struct ECalCacheOfflineChange {
      gchar* uid;
      gchar* rid;
      gchar* revision;
      gchar* object;
      EOfflineState state;
    }

Holds the information about offline change for one component.

###### Structure members

`uid:` `gchar*`

  UID of the component.

`rid:` `gchar*`

  Recurrence-ID of the component.

`revision:` `gchar*`

  Stored revision of the component.

`object:` `gchar*`

  The component itself, as an iCalendar string.

`state:` `EOfflineState`

  An `EOfflineState` of the component.

Available since: 3.26

#### Constructors

###### e_cal_cache_offline_change_new

Creates a new `ECalCacheOfflineChange` with the offline `state` information for the given `uid`.

since: 3.26

#### Functions

###### e_cal_cache_offline_change_free

Frees the `change` structure, previously allocated with `e_cal_cache_offline_change_new()` or e_cal_cache_offline_change_copy().

since: 3.26

#### Instance methods

###### e_cal_cache_offline_change_copy

No description available.

since: 3.26